updating webtools update site
diff --git a/org.eclipse.wtp.releng.webupdatesite/WebContent/index.html b/org.eclipse.wtp.releng.webupdatesite/WebContent/index.html
index 20474d9..e30e190 100644
--- a/org.eclipse.wtp.releng.webupdatesite/WebContent/index.html
+++ b/org.eclipse.wtp.releng.webupdatesite/WebContent/index.html
@@ -3,59 +3,6 @@
 <title>WTP Updates</title>
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <style>@import url("web/site.css");</style>
-<!--
-*** having this script here, even not using it, is no good for Opera. 
-*** will leave it here as comment, until in CVS. 
-<script type="text/javascript">
-        var returnval = 0;
-        var stylesheet, xmlFile, cache, doc;
-        function init(){
-                // NSCP 7.1+ / Mozilla 1.4.1+ / Safari
-                // Use the standard DOM Level 2 technique, if it is supported
-                if (document.implementation && document.implementation.createDocument) {
-                        xmlFile = document.implementation.createDocument("", "", null);
-                        stylesheet = document.implementation.createDocument("", "", null);
-                        if (xmlFile.load){
-                                xmlFile.load("site.xml");
-                                stylesheet.load("web/site.xsl");
-                        } else {
-                                alert("Document could not be loaded by browser.");
-                        }
-                        xmlFile.addEventListener("load", transform, false);
-                        stylesheet.addEventListener("load", transform, false);
-                }
-                //IE 6.0+ solution
-                else if (window.ActiveXObject) {
-                        xmlFile = new ActiveXObject("msxml2.DOMDocument.3.0");
-                        xmlFile.async = false;
-                        xmlFile.load("site.xml");
-                        stylesheet = new ActiveXObject("msxml2.FreeThreadedDOMDocument.3.0");
-                        stylesheet.async = false;
-                        stylesheet.load("web/site.xsl");
-                        cache = new ActiveXObject("msxml2.XSLTemplate.3.0");
-                        cache.stylesheet = stylesheet;
-                        transformData();
-                }
-        }
-        // separate transformation function for IE 6.0+
-        function transformData(){
-                var processor = cache.createProcessor();
-                processor.input = xmlFile;
-                processor.transform();
-                data.innerHTML = processor.output;
-        }
-        // separate transformation function for NSCP 7.1+ and Mozilla 1.4.1+
-        function transform(){
-                returnval+=1;
-                if (returnval==2){
-                        var processor = new XSLTProcessor();
-                        processor.importStylesheet(stylesheet);
-                        doc = processor.transformToDocument(xmlFile);
-                        document.getElementById("data").innerHTML = doc.documentElement.innerHTML;
-                }
-        }
-</script>
--->
 </head>
 <body onload="init();">
 <!-- custom messages here ... comes before header generated in xsl code -->
@@ -74,12 +21,16 @@
 <p>This update site provides the features of the Eclipse Web
 Tools Platform (WTP).</p>
 <p>It not only provides the data for WTP updates, it also provides
-"pointers" to the prerequisite projects (EMF, GEF, and JEM).</p>
-<p>It does assume, however, that the starting point is the Eclipse 3.1.1
-base platform (including JDT) since WTP 1.0 requires Eclipse base 3.1.1,
-and there are some separate and <a
+"pointers" to the prerequisite projects (JDT, EMF, GEF, and JEM).</p>
+<p>It does assume, however, that at least the Eclipse 3.1.2
+Platform Feature is installed. 
+</p>
+
+<p>Note, if you are starting with Eclipse 3.1.0, there are some separate and <a
     href="http://www.eclipse.org/eclipse/platform-releng/updatesfor3.1.1.html">specific
-instructions</a> for updating the base platform to the 3.1.1 level.</p>
+instructions</a> for updating the base platform to the 3.1.1 or 3.1.2 level.</p>
+
+
 <p>To use this update site in your existing installation of Eclipse,
 add the following URL as a remote update site in your update manager.
 <p>&nbsp;&nbsp;&nbsp;&nbsp;<b><code>http://download.eclipse.org/webtools/updates/</code></b></p>
@@ -92,49 +43,37 @@
 Eclipse update install dialog, then use the 'select required' button to
 select only the minimum required prerequisite features.
 </p>
+<p><b>Tip: </b>If you are able, it may be easiest to
+start a fresh development environment based on 3.1.2 and then update to use WTP 1.0.1 and its pre-reqs.
+And, since the workbench may have to shutdown and restart several times (if updating several features),
+you can you do the upgrade with an empty workspace and once satisfied all is well, then use
+the -data option on the Eclipse command line (or shortcut) to point to your workspace of interest. 
+</p>
 
 
 <h3>Known Problems and Issues</h3>
-<p>Please note: In the interest of openness, and honesty, :) 
-we are not greatly experienced with update manager and we have
-not tested it rigorously. Therefore, it is recommend you be sure to keep a back up of your workspace and development
-environment in case something goes wrong. In fact, if you are able, it may be easiest to
-start a fresh development environment based on 3.1.1 and then update to WTP 1.0.
-And, since the workbench may have to shutdown and restart several times (if updating several features),
-I'd recommend you do the upgrade with an empty workspace and once satisfied all is well, then use
-the -data option to point to your workspace of interest. 
+
 <p>
 <a href="https://bugs.eclipse.org/bugs/show_bug.cgi?id=122783">bug 122784:</a>&nbsp;&nbsp; Even if you have
-WTP 0.7.1 installed, you can not "search for updates of the currently installed features".
+WTP 1.0.0 installed, you can not "search for updates of the currently installed features".
 </p><p>
-Workaround: add the webtools/update site as a remote update site and use it as you would any other
-new feature. You may avoid other problems if you start "afresh".
-</p><p>
-<a href="https://bugs.eclipse.org/bugs/show_bug.cgi?id=108376">bug 108376:</a>&nbsp;&nbsp;  if you already do have 0.7.1 installed, and select all of WTP to install, Update Manager
-will think some features are not available (even though they are available and in fact already installed!).
-</p><p>
-Workaround: in some tests, just selecting the first 3 of the 4 WTP Features to install seemed to fix, but may
-vary depending on exactly what you have installed.
+<b>Workaround: </b>add the webtools/update site as a remote update site and use it as you would any other
+new feature.
 </p><p>
 <a href="https://bugs.eclipse.org/bugs/show_bug.cgi?id=123191">bug 123191:</a>&nbsp;&nbsp; If you
 check "Filter features included in other features on the list", then even using
-the 'select required' button will not "find" all the features required.
+the 'select required' button may not "find" all the features required. Similar for 
+the 'show only the latest version of the feature'. 
 </p><p>
-Workaround: do not check that box! :)
+<b>Workaround: </b>do not check that box! :)
 </p>
 <p>As always, open bugs you find or open feature requests, 
 to help the project improve. Thanks for your help.</p>
 <h3>Example of Update Dialog</h3>
 <p>Here is an example screen shot highlighting the areas discussed in the 
-tips and workarounds. The example is from having just the base 3.1.1 installed.</p>
-<img alt"Example view of Update dialog" src="updatePic.gif" />
-<!--
-<div id="data">
--->
-<!-- this is where the transformed data from site.xml automatically goes, if data div not commented out -->
-<!--
-</div>
--->
+tips and workarounds. The example is from having startng with just the base 3.1.2 Platform Feature installed.</p>
+<img alt"Example view of Update dialog" src="update2.gif" />
+
 </body>
 </html>
 
diff --git a/org.eclipse.wtp.releng.webupdatesite/WebContent/update2.gif b/org.eclipse.wtp.releng.webupdatesite/WebContent/update2.gif
new file mode 100644
index 0000000..0214473
--- /dev/null
+++ b/org.eclipse.wtp.releng.webupdatesite/WebContent/update2.gif
Binary files differ